import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { PpUnicomCqUserLog } from '../models/index';
/**
 * @author auto generate
 * @version 1.3
 * @date 2022-07-28 13:34
 */
interface PpUnicomCqUserLogCU extends ConditionUtil<PpUnicomCqUserLogCU> {
    ID: FieldUtil<PpUnicomCqUserLogCU>;
    USER_ID: FieldUtil<PpUnicomCqUserLogCU>;
    USE_ZVALUE: FieldUtil<PpUnicomCqUserLogCU>;
    USE_TIME: FieldUtil<PpUnicomCqUserLogCU>;
    PHONE: FieldUtil<PpUnicomCqUserLogCU>;
    ORDER_ID: FieldUtil<PpUnicomCqUserLogCU>;
    CONSUME_STATE: FieldUtil<PpUnicomCqUserLogCU>;
}
declare class PpUnicomCqUserLogMU extends TableUtilImpl<PpUnicomCqUserLogCU, PpUnicomCqUserLog> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): PpUnicomCqUserLogCU;
    static get ID(): FieldUtil<PpUnicomCqUserLogCU>;
    static get USER_ID(): FieldUtil<PpUnicomCqUserLogCU>;
    static get USE_ZVALUE(): FieldUtil<PpUnicomCqUserLogCU>;
    static get USE_TIME(): FieldUtil<PpUnicomCqUserLogCU>;
    static get PHONE(): FieldUtil<PpUnicomCqUserLogCU>;
    static get ORDER_ID(): FieldUtil<PpUnicomCqUserLogCU>;
    static get CONSUME_STATE(): FieldUtil<PpUnicomCqUserLogCU>;
    get ID(): FieldUtil<PpUnicomCqUserLogCU>;
    get USER_ID(): FieldUtil<PpUnicomCqUserLogCU>;
    get USE_ZVALUE(): FieldUtil<PpUnicomCqUserLogCU>;
    get USE_TIME(): FieldUtil<PpUnicomCqUserLogCU>;
    get PHONE(): FieldUtil<PpUnicomCqUserLogCU>;
    get ORDER_ID(): FieldUtil<PpUnicomCqUserLogCU>;
    get CONSUME_STATE(): FieldUtil<PpUnicomCqUserLogCU>;
}
export { PpUnicomCqUserLogMU, PpUnicomCqUserLogCU };
